| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ivaria/collider.h File Reference

Mesh collider interfaces. More...

`#include "csutil/scf_interface.h"`
`#include "csgeom/vector3.h"`
`#include "csutil/array.h"`
`#include "csutil/ref.h"`

Go to the source code of this file.

## Classes
struct | csCollisionPair
| A structure used to return collision pairs. More...
struct | csIntersectingTriangle
| An intersection triangle for CollideRay. More...
struct | iCollider
| A mesh collider. More...
struct | iCollideSystem
| This is the Collide plug-in. More...
## Enumerations
enum | csColliderType

## Detailed Description

Mesh collider interfaces.

Definition in file collider.h.